spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://10.10.100.175:3306/obpm2?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false
    username: test_information
    password: Test_information#2022
  jpa:
    hibernate:
      ddl-auto: none
  redis:
    host: 10.10.100.175
    port: 6363
    password: Rongtong@2022
    prefixKey: 'v5rtbjinprod:'
    lettuce: # redis连接池配置
      pool:
        max-active: -1 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1ms # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 8 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0
  rabbitmq:
    host: 49.4.26.74
    port: 5673
dubbo:
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
  config-center:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos

tenant:
  config:
    upload:
      path: /storage-merged/
v5:
  business:
    organization:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://10.10.100.175:3306/organizationauth?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false
      username: test_information
      password: Test_information#2022

#单点登录配置
sso:
  domainId: __MIFnVvYFZZjw5fN3OtS
  passPrefix: Abcd@
  useSwitch: true
  selfAuth: false
  #AES加密、解密Key
  key: fjtctchsoft
  #
  clientId: 3505001000000250
  #密钥
  clientSecret: d8b471beec3caf036979d9c812a4f37b
  #治综接口地址
#  url: http://71.30.30.175:9001/api/
  url: http://192.168.2.106:8081/v3/sso/test/
  #系统编码 （子系统顶级菜单id）s
  zxtqxgw: 27211s
  v5Url: http://v5qy.test.baibaodun.cn/

##是否对账号进行手机号验证
env:
  passPrefix: Abcd@
  requiredPhoneAsLoginName: false